Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.extender.internal.blueprint.activator.support
Class BlueprintContainerConfig

    java.lang.Object
      org.eclipse.gemini.blueprint.extender.support.ApplicationContextConfiguration
          org.eclipse.gemini.blueprint.extender.internal.blueprint.activator.support.BlueprintContainerConfig

    public class BlueprintContainerConfig

extends ApplicationContextConfiguration

Extension to the default `ApplicationContextConfiguration` that overrides Spring DM settings with RFC 124.

Author:
  Costin Leau

Constructor Summary
`BlueprintContainerConfig(org.osgi.framework.Bundle bundle)`

Method Summary
`long` | `getTimeout()` Returns the timeout (in milliseconds) an application context needs to wait for mandatory dependent services.
`boolean` | `isCreateAsynchronously()` Indicates if an application context needs to be created asynchronously or not.
`boolean` | `isPublishContextAsService()` Indicates if the application context needs to be published as a service or not.
`boolean` | `isTimeoutDeclared()`
`boolean` | `isWaitForDependencies()` Indicates if the configuration must wait for dependencies.
`String` | `toString()`

Methods inherited from class org.eclipse.gemini.blueprint.extender.support.ApplicationContextConfiguration
`getConfigurationLocations, isSpringPoweredBundle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BlueprintContainerConfig

    public BlueprintContainerConfig(org.osgi.framework.Bundle bundle)

Method Detail

### isTimeoutDeclared

    public boolean isTimeoutDeclared()

  Overrides:
    `isTimeoutDeclared` in class `ApplicationContextConfiguration`

### getTimeout

    public long getTimeout()

  Description copied from class: `ApplicationContextConfiguration`
  Returns the timeout (in milliseconds) an application context needs to wait for mandatory dependent services.

  Overrides:
    `getTimeout` in class `ApplicationContextConfiguration`

### isCreateAsynchronously

    public boolean isCreateAsynchronously()

  Description copied from class: `ApplicationContextConfiguration`
  Indicates if an application context needs to be created asynchronously or not. Should the application context wait for all non-optional service references to be satisfied before starting?

  Overrides:
    `isCreateAsynchronously` in class `ApplicationContextConfiguration`

### isWaitForDependencies

    public boolean isWaitForDependencies()

  Description copied from class: `ApplicationContextConfiguration`
  Indicates if the configuration must wait for dependencies.

  Overrides:
    `isWaitForDependencies` in class `ApplicationContextConfiguration`
  Returns:
    true if the configuration indicates that dependencies should be waited for.

### isPublishContextAsService

    public boolean isPublishContextAsService()

  Description copied from class: `ApplicationContextConfiguration`
  Indicates if the application context needs to be published as a service or not.

  Overrides:
    `isPublishContextAsService` in class `ApplicationContextConfiguration`
  Returns:
    Returns the publishContextAsService.

### toString

    public String toString()

  Overrides:
    `toString` in class `ApplicationContextConfiguration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013. All Rights Reserved.